Subject: bug#14569: 24.3.50; bootstrap fails on Cygwin

From: Ken Brown <[email-masked]>
Date: Mon, 01 Jul 2013 07:21:25 -0400

On 6/28/2013 5:40 PM, Ken Brown wrote:
> I've done some further testing [*] and determined that the bootstrap failures always occur as a result of the tickling, as I had hoped.  This should mean that, if my patch is applied, the only problem will be a possible random crash right after emacs is started.  The only question is how often this will happen in practice.  I think we can only determine this by applying the patch and asking users to test it.

Last night I began running a loop in which emacs (patched as I proposed) 
repeatedly starts and then exits after 15 seconds [*].  So far there 
hasn't been a single failure after more than 1300 iterations.  I don't 
know what's different about bootstrapping, but it seems that tickling 
Glib doesn't cause problems on Cygwin in ordinary interactive use of 
Emacs.  (Keep in mind that my previous test, quoted above, showed that 
the failure during bootstrapping always occurred within 1 second after 
Glib got tickled.)

If no one objects, I'll go ahead and apply my patch later today.

Ken

[*] I'm running the following script:

#! /bin/bash
count=0
while true
do
     count=$((count + 1))
     echo "Try $count; starting Emacs."
     if emacs -l test_emacs.el
     then
	echo "Emacs exited normally."
     else
	echo "Emacs exited abnormally."
     fi
     sleep 1
done

test_emacs.el contains the following:

(sit-for 15)
(kill-emacs)